Package org.apache.tapestry5.internal.services

## Class OpenApiDescriptionDispatcher

- java.lang.Object
- - org.apache.tapestry5.internal.services.OpenApiDescriptionDispatcher

- All Implemented Interfaces:
    `Dispatcher`

      public class OpenApiDescriptionDispatcher
      extends java.lang.Object
      implements Dispatcher

  Recognizes requests where the path matches the value of `SymbolConstants.OPENAPI_DESCRIPTION_PATH` (`/openapi.json` by default). Only used if `SymbolConstants.PUBLISH_OPENAPI_DEFINITON` is set to `true` (which isn't by default).
  See Also:
    `OpenApiDescriptionGenerator`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OpenApiDescriptionDispatcher​(java.lang.String path, OpenApiDescriptionGenerator openApiDescriptionGenerator, boolean productionMode)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `dispatch​(Request request, Response response)` | Analyzes the incoming request and performs an appropriate operation for each.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OpenApiDescriptionDispatcher

          public OpenApiDescriptionDispatcher​(@Symbol("tapestry.openapi-description-path")
                                              java.lang.String path,
                                              OpenApiDescriptionGenerator openApiDescriptionGenerator,
                                              @Symbol("tapestry.production-mode")
                                              boolean productionMode)

  - ### Method Detail

    - #### dispatch

          public boolean dispatch​(Request request,
                                  Response response)
                           throws java.io.IOException

      Description copied from interface: `Dispatcher`
      Analyzes the incoming request and performs an appropriate operation for each.
      Specified by:
        `dispatch` in interface `Dispatcher`
      Returns:
        true if a response was delivered, false if the dispatcher did not handle the request (and a search for a handler should continue)
      Throws:
        `java.io.IOException`